__author__     = "Aaron Straup Cope"
__url__        = "http://aaronland.info/python/w5"
__version__    = "1.0a6"
__cvsversion__ = "$Revision: 1.15 $"
__date__       = "$Date: 2004/11/01 20:48:16 $"
__copyright__  = "%s\n%s\n%s" % \
                 ("This application is licensed under the",
                  "Creative Commons Attribution-NonCommercial License",
                  "http://creativecommons.org/licenses/by-nc/1.0/")

__license__    = "This application is licensed under the Creative \
Commons Attribution-NonCommercial License. To view a copy of this \
license, visit http://creativecommons.org/licenses/by-nc/1.0/ or send \
a letter to Creative Commons, 559 Nathan Abbott Way, Stanford, \
California 94305, USA."

# $Id: rConstants.py,v 1.15 2004/11/01 20:48:16 asc Exp $

from wxPython.wx import wxNewId

ID_APP       = wxNewId()
ID_PAUSE     = wxNewId()
ID_RESUME    = wxNewId()
ID_MAXWIDTH  = wxNewId()
ID_MAXHEIGHT = wxNewId()
ID_INFO      = wxNewId()
ID_PREFS     = wxNewId()
ID_ABOUT     = wxNewId()
ID_EXIT      = wxNewId()

SECONDS_DELAY  = 30
SECONDS_SLEEP  = 0.01
COUNTER_DELAY  = int(1/SECONDS_SLEEP) * SECONDS_DELAY

# Insert hand-waving about internationalization
# here. Patches welcome...

TITLE_APP      = "The so-called \"w5\" application"
TITLE_ABOUT    = "About"
TITLE_INFO     = "Image Info"

MENUBAR_FILE   = "&File"
MENUBAR_TOOLS  = "&Tools" 
MENUBAR_HELP   = "&Help"

MENU_ABOUT     = "&About"
MENU_PAUSE     = "&Pause"
MENU_RESUME    = "&Resume"
MENU_INFO      = "Image &Info"
MENU_QUIT      = "&Quit"

DESCRIBE_PAUSE   = "Pause"
DESCRIBE_RESUME  = "Resume"
DESCRIBE_INFO    = "Info"
DESCRIBE_ABOUT   = "More information about this program"
DESCRIBE_QUIT    = "Quit the program"

MSG_PAUSED       = "paused, press Ctrl-R to resume"
MSG_POLLING      = "asking for a new image"
MSG_PROCESSING   = ""

ERR_POLLING    = "failed to get image from server"
ERR_STRINGIFY  = "failed to read image from server"
ERR_STREAMIFY  = "failed to munge image"
ERR_DISPLAY    = "failed to set image"
ERR_IMAGEINFO  = "no image data"
ERR_SCALED     = "failed to scale image"
ERR_RANDOMSERVER = "failed to retrieve a server"

DIALOG_ABOUT = "%s\nversion %s\n\n%s" % \
               (TITLE_APP,
                __version__,
                __copyright__)

# These need better names...

STATUSTEXT = 0.8
BORDER     = 4

# This stuff needs to be
# cleaned up a bit...

NS_W5         = "x-urn:asc:w5#"
NS_DUBLINCORE = "http://purl.org/dc/elements/1.1/"

W5_URI      = NS_W5
W5_PREFIX   = "w5"
W5_SERVICE  = "service"
W5_PROTOCOL = "protocol"
W5_LOGIN    = "login"
W5_FILTER   = "filter"
W5_APP      = "application"
W5_APP_MAXWIDTH = "max-width"
W5_APP_MAXHEIGHT = "max-height"
W5_APP_POSX = "pos-x"
W5_APP_POSY = "pos-y"
W5_PREFS    = "preferences"

DC_URI      = NS_DUBLINCORE
DC_PREFIX   = "dc"
DC_TITLE    = "title"

PROTOCOL_XMLRPC = "http://www.xmlrpc.com"
